<?php

namespace Drupal\layout_builder_kit\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the LBKIcon type entity.
 *
 * @ConfigEntityType(
 *   id = "lbk_icon_type",
 *   label = @Translation("LBKIcon type"),
 *   handlers = {
 *     "view_builder" = "Drupal\Core\Entity\EntityViewBuilder",
 *     "list_builder" = "Drupal\layout_builder_kit\LBKIconTypeListBuilder",
 *     "form" = {
 *       "add" = "Drupal\layout_builder_kit\Form\LBKIconTypeForm",
 *       "edit" = "Drupal\layout_builder_kit\Form\LBKIconTypeForm",
 *       "delete" = "Drupal\layout_builder_kit\Form\LBKIconTypeDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\layout_builder_kit\LBKIconTypeHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "lbk_icon_type",
 *   admin_permission = "administer site configuration",
 *   bundle_of = "lbk_icon",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "canonical" = "/admin/structure/lbk_icon_type/{lbk_icon_type}",
 *     "add-form" = "/admin/structure/lbk_icon_type/add",
 *     "edit-form" = "/admin/structure/lbk_icon_type/{lbk_icon_type}/edit",
 *     "delete-form" = "/admin/structure/lbk_icon_type/{lbk_icon_type}/delete",
 *     "collection" = "/admin/structure/lbk_icon_type"
 *   }
 * )
 */
class LBKIconType extends ConfigEntityBundleBase implements LBKIconTypeInterface {

  /**
   * The LBKIcon type ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The LBKIcon type label.
   *
   * @var string
   */
  protected $label;

}
