<?php

namespace Drupal\layout_builder_kit\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the LBKImage Entity type entity.
 *
 * @ConfigEntityType(
 *   id = "lbk_image_entity_type",
 *   label = @Translation("LBKImage Entity type"),
 *   handlers = {
 *     "view_builder" = "Drupal\Core\Entity\EntityViewBuilder",
 *     "list_builder" = "Drupal\layout_builder_kit\LBKImageEntityTypeListBuilder",
 *     "form" = {
 *       "add" = "Drupal\layout_builder_kit\Form\LBKImageEntityTypeForm",
 *       "edit" = "Drupal\layout_builder_kit\Form\LBKImageEntityTypeForm",
 *       "delete" = "Drupal\layout_builder_kit\Form\LBKImageEntityTypeDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\layout_builder_kit\LBKImageEntityTypeHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "lbk_image_entity_type",
 *   admin_permission = "administer site configuration",
 *   bundle_of = "lbk_image_entity",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "canonical" = "/admin/structure/lbk_image_entity_type/{lbk_image_entity_type}",
 *     "add-form" = "/admin/structure/lbk_image_entity_type/add",
 *     "edit-form" = "/admin/structure/lbk_image_entity_type/{lbk_image_entity_type}/edit",
 *     "delete-form" = "/admin/structure/lbk_image_entity_type/{lbk_image_entity_type}/delete",
 *     "collection" = "/admin/structure/lbk_image_entity_type"
 *   }
 * )
 */
class LBKImageEntityType extends ConfigEntityBundleBase implements LBKImageEntityTypeInterface {

  /**
   * The LBKImage Entity type ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The LBKImage Entity type label.
   *
   * @var string
   */
  protected $label;

}
