<?php

namespace Drupal\layout_builder_kit\Form;

use Drupal\Core\Entity\EntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class LBKImageEntityTypeForm.
 */
class LBKImageEntityTypeForm extends EntityForm {

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $form_state) {
    $form = parent::form($form, $form_state);

    $lbk_image_entity_type = $this->entity;
    $form['label'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Label'),
      '#maxlength' => 255,
      '#default_value' => $lbk_image_entity_type->label(),
      '#description' => $this->t("Label for the LBKImage Entity type."),
      '#required' => TRUE,
    ];

    $form['id'] = [
      '#type' => 'machine_name',
      '#default_value' => $lbk_image_entity_type->id(),
      '#machine_name' => [
        'exists' => '\Drupal\layout_builder_kit\Entity\LBKImageEntityType::load',
      ],
      '#disabled' => !$lbk_image_entity_type->isNew(),
    ];

    /* You will need additional form elements for your custom properties. */

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $lbk_image_entity_type = $this->entity;
    $status = $lbk_image_entity_type->save();

    switch ($status) {
      case SAVED_NEW:
        drupal_set_message($this->t('Created the %label LBKImage Entity type.', [
          '%label' => $lbk_image_entity_type->label(),
        ]));
        break;

      default:
        drupal_set_message($this->t('Saved the %label LBKImage Entity type.', [
          '%label' => $lbk_image_entity_type->label(),
        ]));
    }
    $form_state->setRedirectUrl($lbk_image_entity_type->toUrl('collection'));
  }

}
