<?php

namespace Drupal\layout_builder_kit;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Defines a class to build a listing of LBKIcon entities.
 *
 * @ingroup layout_builder_kit
 */
class LBKIconListBuilder extends EntityListBuilder {


  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('LBKIcon ID');
    $header['name'] = $this->t('Name');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var $entity \Drupal\layout_builder_kit\Entity\LBKIcon */
    $row['id'] = $entity->id();
    $row['name'] = Link::createFromRoute(
      $entity->label(),
      'entity.lbk_icon.edit_form',
      ['lbk_icon' => $entity->id()]
    );
    return $row + parent::buildRow($entity);
  }

}
